# Applications API

## createApplication

`POST` `https://api.pushwoosh.com/json/1.3/createApplication`

在账户中创建一个新的应用程序。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| authorize\_all\_tokens | boolean | 允许所有 API Token 与此应用通信。 |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| icon | string | png 文件的 Base64 编码二进制内容。 |
| sdk\_ios | string | iOS SDK 类型。可能的值："pw" 或 "corona"。对于 Corona，推送负载（payload）不同。 |
| sdk\_android | string | Android SDK 类型。可能的值："pw"、"corona"、"phonegap"。AppPresser 用户请选择 "phonegap"。 |
| title\* | string | Pushwoosh 中新应用的标题。 |

Example response:

```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "application": "1DC69-73EDB"
  }
}
```

Example code:

```
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",          // required. API access token from Pushwoosh Control Panel
    "icon": "iVBORw0KGgoAAAANSUhEUgAAA...",  // optional. Base-64 encoded binary content of png file 
    "authorize_all_tokens": true,            // optional. If true, allows all api tokens to communicate with this app
    "sdk_ios": "pw",                         // optional. Possible values are "pw" or "corona"
    "sdk_android": "pw",                     // optional. Possible values are "pw", "corona", or "phonegap"
    "title": "APP_TITLE"                     // required. Title for the new app in Pushwoosh
  }
}
```

## updateApplication

`POST` `https://api.pushwoosh.com/json/1.3/updateApplication`

更新应用程序设置。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| application\* | string | [Pushwoosh 应用代码](/zh/developer/api-reference/api-identifiers/#application-code) |
| icon | string | png 文件的 Base64 编码二进制内容。 |
| sdk\_ios | string | iOS SDK 类型。可能的值："pw" 或 "corona"。对于 Corona，推送负载不同。 |
| sdk\_android | string | Android SDK 类型。可能的值："pw"、"corona"、"phonegap"。AppPresser 用户请选择 "phonegap"。 |
| title | string | Pushwoosh 中应用的新标题。 |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": null
}
```
</TabItem>
</Tabs>

```json title="Example"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",     // required. API access token from Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",       // required. application code of the app you want to update
    "icon": "iVBORw0KGgoAAAANSUD6...",  // optional. Base-64 encoded binary content of png file 
    "sdk_ios": "pw",                    // optional. Possible values are "pw" or "corona"
    "sdk_android": "pw",                // optional. Possible values are "pw", "corona", or "phonegap"
    "title": "APP_TITLE"                // optional. New title for the app in Pushwoosh
  }
}
```

## deleteApplication

`POST` `https://api.pushwoosh.com/json/1.3/deleteApplication`

从账户中删除应用程序。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| application\* | string | [Pushwoosh 应用代码](/zh/developer/api-reference/api-identifiers/#application-code) |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": null
}
```
</TabItem>
</Tabs>

```json title="Example"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel
    "application": "XXXXX-XXXXX"    // required. Pushwoosh application code
  }
}
```

## getApplication

`POST` `https://api.pushwoosh.com/json/1.3/getApplication`

获取有关应用程序的详细信息。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| application\* | string | [Pushwoosh 应用代码](/zh/developer/api-reference/api-identifiers/#application-code) |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "application": {
      "adm_cid": "",
      "adm_secret": "",
      "android_api_type": "x31",
      "android_gcm_api_key": "x7836363631366236353566366236353739",
      "android_sdk": "x7077",
      "icon_url": null,
      "ios_gateway": "x783330",
      "ios_key_management_type": "x783631373537343666",
      "ios_key_password": "x7836353336363236353335333736353333",
      "ios_sdk": "x7077",
      "title": "0 Application For test",
      "providers": {
        "ios": true,
        "amazon": false,
        "android": false,
        "baidu_android": false,
        "chrome": false,
        "email": false,
        "firefox": false,
        "huawei_android": false,
        "internet_explorer": false,
        "osx": false,
        "safari": false,
        "sms": false,
        "web": false,
        "whats_app": false,
        "windows": false
      },
      "languages": {
        "en": "34",
        "zh": "12",
        "sv": "7",
        "de": "6",
        "pt": "6"
      }
    }
  }
}
```
</TabItem>
</Tabs>

```
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H", // required API access token from Pushwoosh Control Panel
    "application": "XXXXX-XXXXX"    // required. Pushwoosh application code
  }
}
```

## getApplications

`POST` `https://api.pushwoosh.com/json/1.3/getApplications`

获取账户中的应用程序列表。可以返回带分页的结果。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| page | integer | 用于分页的页码。 |

#### Example request

```
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",  // required. API access token from Pushwoosh Control Panel
    "page": 2                        // optional. The page number for pagination
  }
}
```

#### Response

如果账户中的应用程序超过 100 个，响应将包含 `current page`（当前页）和 `total amount of pages`（总页数）。

#### Example Response

```
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "page": 1,   // Current page
    "total": 2,  // Total amount of pages
    "applications": [{
      "APPLICATION_CODE": "MyApp1"
    }, {
      "APPLICATION_CODE": "MyApp2"
    }]
  }
}
```

## getApplicationFile

`POST` `https://api.pushwoosh.com/json/1.3/getApplicationFile`

获取与应用程序相关的配置文件。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| application\* | string | [Pushwoosh 应用代码](/zh/developer/api-reference/api-identifiers/#application-code) |
| file\* | string | 要检索的文件的标识符。请参阅下面的值。 |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": null
}
```
</TabItem>
</Tabs>

```json title="Example"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",  // required. API access token from Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",    // required. Pushwoosh application code
    "file": "ios_auto_privatekey"    // required. identifier of the file to retrieve. See values below
  }
}
```

#### "file" 参数的可能值：

`"ios_auto_privatekey" | "ios_manual_privatekey" | "ios_auto_certificate" | "ios_manual_certificate"       | "ios_push_certificate" | "ios_provisioning_profile" | "macos_manual_privatekey" | "macos_manual_certificate"       | "macos_push_certificate" | "safari_manual_privatekey" | "safari_push_certificate" | "safari_push_package"       |

**Response example**:

```
-----BEGIN CERTIFICATE-----
...
-----END CERTIFICATE-----
-----BEGIN RSA PRIVATE KEY-----
...
-----END RSA PRIVATE KEY-----
```

## setApplicationPlatformStatus

`POST` `https://api.pushwoosh.com/json/1.3/setApplicationPlatformStatus`

更改应用程序的平台状态。

#### Request Body

| 名称 | 类型 | 描述 |
| --- | --- | --- |
| auth\* | string | 来自 Pushwoosh 控制面板的 [API Access Token](/zh/developer/api-reference/api-identifiers/#api-access-token)。 |
| application\* | string | [Pushwoosh 应用代码](/zh/developer/api-reference/api-identifiers/#application-code) |
| platform\* | integer | 平台类型。请参阅下面的平台类型列表。 |
| status\* | string | "enable" 或 "disable" |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "message": "iOS pushes are disabled",
    "available_platforms": {
      "iOS": false,
      "Android": true,
      "OS X": false,
      "Windows": false,
      "Amazon": false,
      "Safari": false,
      "Chrome": true,
      "Firefox": false,
    }
  }
}
```
</TabItem>
</Tabs>

```json title="Example"
{
  "request": {
    "application": "XXXXX-XXXXX",   // required. Pushwoosh application code
    "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel
    "platform": 1,                  // required. 1 — iOS; 3 — Android; 7 — Mac OS X; 8 — Windows;
                                    //           9 — Amazon; 10 — Safari; 11 — Chrome; 12 — Firefox;
    "status": "disable"             // required. "disable" or "enable"
  }
}
```